Bug 247022 - Initscript Review
Summary: Initscript Review
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: poker-network
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Christopher Stone
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks: InitscriptStatus
TreeView+ depends on / blocked
 
Reported: 2007-07-05 13:56 UTC by Harald Hoyer
Modified: 2008-05-29 02:50 UTC (History)
2 users (show)

Fixed In Version: 1.5.0-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-29 02:50:08 UTC


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-05 13:56:32 UTC
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.

Comment 1 Christopher Stone 2007-12-14 00:06:23 UTC
http://fedoraproject.org/wiki/PackagingDrafts/SysVInitScript

Adding this as a note to myself.

Comment 2 Bug Zapper 2008-04-04 13:12:25 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Christopher Stone 2008-04-04 13:35:39 UTC
I am unable to change the bug's version.

Comment 4 Fedora Update System 2008-05-24 02:18:10 UTC
poker-network-1.5.0-2.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-05-29 02:50:06 UTC
poker-network-1.5.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.